%define	name	cppunit
%define	version	1.12.0
%define release	%mkrel 2
%define	major	0
%define api 1.12
%define libname	%mklibname cppunit %{api}_%{major}
%define testrunnermajor 1
%define testrunnerlibname %mklibname qttestrunner %testrunnermajor

Summary:	C++ Port of JUnit Testing Framework
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Patch:		cppunit-1.11.4-missing-include.patch.bz2
URL:		http://cppunit.sourceforge.net/
BuildRequires:	qt3-devel
BuildRequires:	doxygen
BuildRequires:	automake1.7
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%package -n	%{libname}
Summary:	C++ Port of JUnit Testing Framework
Group:          System/Libraries

%description -n	%{libname}
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%package -n %testrunnerlibname
Summary:	QT Testrunner for %name
Group:		System/Libraries

%description -n %testrunnerlibname
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.


%package -n	%{libname}-devel
Summary:	Development files for %{libname}
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	cppunit-devel = %version
Provides:	libcppunit-devel = %version
Provides:	libcppunit%{api}-devel = %version


%description -n	%{libname}-devel
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%prep

%setup -q
%patch -p1

%build
%configure2_5x \
    --enable-doxygen 

%make
cd src/qttestrunner
qmake
make QTDIR=%_prefix/lib/qt3
%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall
cp -d lib/* %buildroot%_libdir

# clean up
rm -rf %{buildroot}%{_datadir}/cppunit
%if %mdkversion >= 1020
%multiarch_binaries %buildroot%_bindir/cppunit-config
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%post -n %{testrunnerlibname} -p /sbin/ldconfig
%postun -n %{testrunnerlibname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS ChangeLog
%attr(755,root,root) %{_libdir}/libcppunit-%{api}.so.%{major}*

#%files -n %testrunnerlibname
#%defattr(-,root,root)
#%{_libdir}/libqttestrunner.so.%{testrunnermajor}*

%files -n %{libname}-devel
%defattr(644,root,root,755)
%doc doc/html/*
%attr(755,root,root) %{_bindir}/cppunit-config
%if %mdkversion >= 1020
%attr(755,root,root) %{multiarch_bindir}/cppunit-config
%endif
%attr(755,root,root) %{_bindir}/DllPlugInTester
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/cppunit
%{_datadir}/aclocal/cppunit.m4
%{_mandir}/man1/*
%_libdir/pkgconfig/cppunit.pc

%changelog
* Mon Jul 10 2006 Gtz Waschk <waschk@mandriva.org> 1.12.0-2mdv2007.0
- fix devel deps

* Sun Jul  2 2006 Gtz Waschk <waschk@mandriva.org> 1.12.0-1mdv2007.0
- new major
- New release 1.12.0

* Thu Jun 29 2006 Stefan van der Eijk <stefan@eijk.nu> 1.11.4-3
- rebuild for sparc

* Sat Jun 17 2006 Götz Waschk <waschk@mandriva.org> 1.11.4-1mdv2007.0
- rebuild for new libpng

* Tue Jan 31 2006 Gtz Waschk <waschk@mandriva.org> 1.11.4-1mdk
- split out testrunner
- new major
- update file list
- patch for missing header
- drop patch 0
- New release 1.11.4

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 1.10.2-6mdk
- fix build

* Sat Jan 07 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.10.2-5mdk
- Rebuild

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 1.10.2-4mdk
- fix previous change

* Tue Nov 22 2005 Gtz Waschk <waschk@mandriva.org> 1.10.2-3mdk
- add qttestrunner

* Tue May  3 2005 Gtz Waschk <waschk@mandriva.org> 1.10.2-2mdk
- multiarch support

* Sat Jun 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.10.2-1mdk
- 1.10.2
- fix the funny libname (%%major)

* Sun Nov 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.8.0-1mdk
- initial cooker contrib
